#include<stdio.h>
int main(){
	int t;
	scanf("%d",&t);
	int n[t],m[t],k[t];
	int pot[t];
	int prov[t];
	int p=0;
	int br=0;
	for(int i=0;i<t;i++){
		scanf("%d%d%d",&n[i],&m[i],&k[i]);
		pot[i]=0;
		while(br<n[i]){
			pot[i]+=p+1;
			br++;
		}
		
		if(m[i]>pot[i]){
			prov[i]=1;
		}
		else prov[i]=0;
		br=0;
		p=0;
		}
	for(int i=0;i<t;i++){
		if(prov[i]==1)printf("Tak\n");
		else printf("Nie\n");
	}
	
	
}